M ?= $(PWD)
AUDIO_ROOT := $(KERNEL_SRC)/$(M)

ifeq ($(ASUS_BUILD_PROJECT), AI2202)
KBUILD_OPTIONS += CONFIG_SND_SOC_WAIPIO=m
KBUILD_OPTIONS += MODNAME=audio_dlkm
KBUILD_OPTIONS += BOARD_PLATFORM=taro
KBUILD_OPTIONS += $(AUDIO_SELECT)
KBUILD_OPTIONS += ASUS_AI2202_AUDIO=y
ifneq (,$(filter y,$(ASUS_FTM)))
KBUILD_OPTIONS += ASUS_FTM_AUDIO=y
endif
endif

KBUILD_OPTIONS +=  AUDIO_ROOT=$(AUDIO_ROOT)

all: modules modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(M) clean

%:
	$(MAKE) -C $(KERNEL_SRC) M=$(M) $@ $(KBUILD_OPTIONS)

